* Choose only cases where point of sale display.

DATASET ACTIVATE DataSet1.
USE ALL.
COMPUTE filter_$=(campaign = 1).
VARIABLE LABEL filter_$ 'campaign = 1 (FILTER)'.
VALUE LABELS filter_$ 0 'Not Selected' 1 'Selected'.
FORMAT filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE.

* Carry out one-sample t-test.

T-TEST
  /TESTVAL=45
  /MISSING=ANALYSIS
  /VARIABLES=sales
  /CRITERIA=CI(.95).

* Select all cases.

FILTER OFF.
USE ALL.
EXECUTE.

* Compare point of sale display and free tasting stand.

T-TEST GROUPS=campaign(1 2)
  /MISSING=ANALYSIS
  /VARIABLES=sales
  /CRITERIA=CI(.95).

* Select only cases where point of sale display was used for the paired samples t-test. 

USE ALL.
COMPUTE filter_$=(campaign = 1).
VARIABLE LABEL filter_$ 'campaign = 1 (FILTER)'.
VALUE LABELS filter_$ 0 'Not Selected' 1 'Selected'.
FORMAT filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE.

* Carry out paired samples t-test.

T-TEST PAIRS=sales WITH sales_no_adv (PAIRED)
  /CRITERIA=CI(.9500)
  /MISSING=ANALYSIS.

* Select all cases.

FILTER OFF.
USE ALL.
EXECUTE.

* Carry out a One-Way ANOVA.

ONEWAY sales BY campaign
  /STATISTICS DESCRIPTIVES HOMOGENEITY BROWNFORSYTHE WELCH 
  /PLOT MEANS
  /MISSING ANALYSIS
  /POSTHOC=QREGW GT2 GH ALPHA(0.05).



