
* Chart Builder: Check for linearity.
GGRAPH
  /GRAPHDATASET NAME="graphdataset" VARIABLES=lvexpect lvsat MISSING=LISTWISE REPORTMISSING=NO
  /GRAPHSPEC SOURCE=INLINE.
BEGIN GPL
  SOURCE: s=userSource(id("graphdataset"))
  DATA: lvexpect=col(source(s), name("lvexpect"))
  DATA: lvsat=col(source(s), name("lvsat"))
  GUIDE: axis(dim(1), label("Customer Expectations"))
  GUIDE: axis(dim(2), label("Overall Customer Satisfaction"))
  ELEMENT: point(position(lvexpect*lvsat))
END GPL.


REGRESSION
  /DESCRIPTIVES MEAN STDDEV CORR SIG N
  /MISSING LISTWISE
  /STATISTICS COEFF OUTS R ANOVA COLLIN TOL
  /CRITERIA=PIN(.05) POUT(.10)
  /NOORIGIN 
  /DEPENDENT lvsat
  /METHOD=ENTER lvexpect lvvalue lvcomp
  /SCATTERPLOT=(*ZRESID ,lvsat)
  /RESIDUALS HISTOGRAM(ZRESID) NORMPROB(ZRESID)
  /CASEWISE PLOT(ZRESID) OUTLIERS(3)
  /SAVE PRED RESID.

* Delete the outlier and re-run the analysis.

REGRESSION
  /DESCRIPTIVES MEAN STDDEV CORR SIG N
  /MISSING LISTWISE
  /STATISTICS COEFF OUTS R ANOVA COLLIN TOL
  /CRITERIA=PIN(.05) POUT(.10)
  /NOORIGIN 
  /DEPENDENT lvsat
  /METHOD=ENTER lvexpect lvvalue lvcomp
  /SCATTERPLOT=(*ZRESID ,lvsat)
  /RESIDUALS HISTOGRAM(ZRESID) NORMPROB(ZRESID)
  /CASEWISE PLOT(ZRESID) OUTLIERS(3)
  /SAVE PRED RESID.

* Check normality assumption of residuals.

EXAMINE VARIABLES=RES_1
  /PLOT BOXPLOT STEMLEAF NPPLOT
  /COMPARE GROUPS
  /STATISTICS DESCRIPTIVES
  /CINTERVAL 95
  /MISSING LISTWISE
  /NOTOTAL.
