***  Broken-stick.

*** Generate random Eigenvalues.

* Define Path.
DEFINE !Path ()'C:\TEMP\'
!ENDDEFINE.
*COMMENT: Adjust path.

* Generate large number of cases (e.g. 10000): Intervall J = [0,1] .

INPUT PROGRAM. 
LOOP var = 1 to 10000.  
END CASE. 
END LOOP. 
END FILE. 
END INPUT PROGRAM. 
LIST CASES.

* Select p-1 points from these values.
* p = Number of variables.

USE ALL.
SAMPLE  6 from 10000.
EXECUTE.

*COMMENT: Adjust: SAMPLE p-1 from 10000.

* Compute "percentage of length"

SORT CASES BY var (D). 
LIST.

COMPUTE var2=LAG (var).
EXECUTE.

RECODE var2 (SYSMIS=0).
EXECUTE.

COMPUTE percentage =  (var -  var2)/10000.
EXECUTE.

SAVE OUTFILE=!Path + 'Broken_Stick.sav'.
EXECUTE.

AGGREGATE
  /OUTFILE=!Path +'percentage.sav'
  /BREAK=
  /percentage_sum=SUM(percentage).

GET FILE !Path + 'percentage.sav'.

COMPUTE percentage= 1 - percentage_sum.

SAVE OUTFILE=!Path + 'percentage.sav'.
EXECUTE.

GET FILE !Path + 'Broken_Stick.sav'.

ADD FILES /FILE=*
  /FILE=!Path + 'percentage.sav'.
EXECUTE.

DELETE VARIABLES var var2 percentage_sum.

* For comparison with eigenvalues.

COMPUTE eigenvalue=percentage*7.
EXECUTE.

*COMMENT: Adjust number of variables p: eigenvalue=percentage*p.

FREQUENCIES VARIABLES=eigenvalue
  /ORDER=ANALYSIS.

SAVE OUTFILE=!Path + 'Broken_Stick.sav'.
EXECUTE.

* Delete unneeded files.
ERASE FILE=!Path + 'percentage.sav'.

* Export sorted eigenvalues (e.g. to Excel) and compare with "real" sorted eigenvalues.












