*Dataset cars.sav.

DATASET NAME cars.

CORRELATIONS
  /VARIABLES=moment width weight trunk speed acceleration displacement horsepower length
  /PRINT=TWOTAIL NOSIG
  /MISSING=PAIRWISE.


PROXIMITIES   moment width weight trunk speed acceleration
  /MATRIX OUT(*)
  /VIEW=CASE
  /MEASURE=EUCLID
  /PRINT NONE
  /ID=Name
 /STANDARDIZE=VARIABLE RESCALE.

DATASET NAME distance.
DATASET ACTIVATE cars.

CLUSTER
  /MATRIX IN(distance)
  /METHOD SINGLE
  /ID=Name
  /PRINT SCHEDULE
  /PLOT DENDROGRAM VICICLE
  /SAVE CLUSTER(2,4).
DATASET CLOSE distance.

SORT CASES  BY CLU3_1.

SPLIT FILE LAYERED BY CLU3_1.

DESCRIPTIVES VARIABLES= weight  speed acceleration
  /STATISTICS=MEAN STDDEV MIN MAX.

SPLIT FILE OFF.

DATASET DECLARE aggregate.
AGGREGATE
  /OUTFILE='aggregate'
  /BREAK=CLU3_1
  /moment=MEAN(moment) 
  /width=MEAN(width) 
  /weight=MEAN(weight) 
  /trunk=MEAN(trunk) 
  /speed=MEAN(speed) 
  /acceleration=MEAN(acceleration).

*Change the variable CLU3_1 into cluster_ befor continuing the analysis.

QUICK CLUSTER moment width weight trunk speed acceleration
  /MISSING=LISTWISE
  /CRITERIA=CLUSTER(3) MXITER(10) CONVERGE(0)
  /METHOD=KMEANS(NOUPDATE)
  /SAVE CLUSTER
  /PRINT ID(Name) INITIAL ANOVA
  /FILE='aggregate'.

TWOSTEP CLUSTER
  /CONTINUOUS VARIABLES=moment width weight trunk speed acceleration
  /DISTANCE EUCLIDEAN
  /NUMCLUSTERS AUTO 6 BIC
  /HANDLENOISE 0
  /MEMALLOCATE 64
  /CRITERIA INITHRESHOLD(0) MXBRANCH(8) MXLEVEL(3)
  /PLOT VARCHART COMPARE BYVAR 
  /PRINT IC COUNT SUMMARY
  /SAVE VARIABLE=TSC_2872.
AIM  TSC_2872
  /CONTINUOUS moment width weight trunk speed acceleration
  /PLOT ERRORBAR IMPORTANCE(X=VARIABLE Y=TEST)
  /CRITERIA ADJUST=BONFERRONI  SHOWREFLINE=NO HIDENOTSIG=NO.
