*** Minimum Average Partial Test.
*** The original test is described in: Velicer, W.F. (1976) Determining the Number of Components from the Matrix of Partial Correlations. Psychometrika, 41, September, 321-327.
*** This syntax is taken from O'Connor (2000) SPSS and SAS Programs for Determining the Number of components Using Parallel Analysis and Velicer's MAP Test. 
*** Behavior Research Methods, Instruments, & Computers, 32 (3), 396-402.

*COMMENT: Adjust the variables (here x1 to x7) AND the path.

correlations x1 to x7 / matrix out ('c:\temp\data.cor ') / missing = listwise.
factor var= x1 to x7 / matrix out (cor = 'C:\data.cor').

*COMMENT: Adjust the path.

matrix.
mget /type= corr /file='c:\temp\data.cor' .
call eigen (cr,eigvect,eigval).
compute loadings = eigvect * sqrt(mdiag(eigval)).
compute fm = make(nrow(cr),2,-9999).
compute fm(1,2) = (mssq(cr) - ncol(cr)) / (ncol(cr)*(ncol(cr)-1)).
loop #m = 1 to ncol(cr) - 1.
compute a = loadings(:,1:#m).
compute partcov = cr - (a * t(a)).
compute d = mdiag( 1 / (sqrt(diag(partcov))) ).
compute pr = d * partcov * d.
compute fm(#m+1,2) = (mssq(pr) - ncol(cr)) / (ncol(cr)*(ncol(cr)-1)).
end loop.
* identifying the smallest fm value & its location (= the # of factors).
compute minfm = fm(1,2).
compute nfactors = 0.
loop #s = 1 to nrow(fm).
compute fm(#s,1) = #s -1.
do if ( fm(#s,2) < minfm ).
compute minfm = fm(#s,2).
compute nfactors = #s - 1.
end if.
end loop.
print eigval /title="Eigenvalues".
print fm /title="Velicers Average Squared Correlations".
print minfm /title="The smallest average squared correlation is".
print nfactors /title="The number of components is".
end matrix.